
QGIS Application - Bug report #19117

New annotaions show in map views with Show Annotations disabled

2018-06-05 12:33 PM - Alexandre Neto

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Canvas

Affected QGIS version:3.3(master) Regression?: No

Operating System: Linux - ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26947

Description

If the map canvas has some annotations. You can disable those anotations for other map view by disabling the Show annotations option.

Nevertheless, if you add a new annotation, it will show up in the map view anyway.
Associated revisions

Revision f9f683db - 2018-09-24 10:26 AM - Nyall Dawson

Fix new annotations are shown even when annotations are hidden

Fixes #19117

History

#1 - 2018-09-21 11:15 AM - Alexandre Neto

I confirm this issue on QGIS 3.3.2 as well

#2 - 2018-09-21 11:16 AM - Giovanni Manghi

- Affected QGIS version changed from 3.1(master) to 3.3(master)

#3 - 2018-09-24 01:58 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#4 - 2018-09-24 10:26 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|f9f683dbd01ec1ff273d7610b655e82841defb45.
